<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/inv.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/inv.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_INV__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_INV__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;behaviourlayer/behave.h&quot;</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>;
<a name="l00028"></a>00028 <span class="keyword">struct </span><a class="code" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a>;
<a name="l00029"></a>00029 
<a name="l00033"></a><a class="code" href="structiPcInventoryListener.html">00033</a> <span class="keyword">struct </span><a class="code" href="structiPcInventoryListener.html" title="Listen to inventory changes.">iPcInventoryListener</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00034"></a>00034 {
<a name="l00035"></a>00035   SCF_INTERFACE (<a class="code" href="structiPcInventoryListener.html" title="Listen to inventory changes.">iPcInventoryListener</a>, 0, 0, 1);
<a name="l00036"></a>00036 
<a name="l00040"></a>00040   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventoryListener.html#afd2f597e55d23921656d16e77f3bd6e3" title="A child is added to this inventory.">AddChild</a> (<a class="code" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a>* inventory, <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00041"></a>00041 
<a name="l00045"></a>00045   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventoryListener.html#afa6769d35c00cb0bc876db62e922a7d5" title="A child is removed from this inventory.">RemoveChild</a> (<a class="code" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a>* inventory, <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00046"></a>00046 };
<a name="l00047"></a>00047 
<a name="l00048"></a>00048 
<a name="l00053"></a><a class="code" href="structiCelInventorySpaceSlot.html">00053</a> <span class="keyword">struct </span><a class="code" href="structiCelInventorySpaceSlot.html" title="A slot in the inventory system.">iCelInventorySpaceSlot</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00054"></a>00054 {
<a name="l00055"></a>00055   SCF_INTERFACE (<a class="code" href="structiCelInventorySpaceSlot.html" title="A slot in the inventory system.">iCelInventorySpaceSlot</a>, 0, 0, 1);
<a name="l00056"></a>00056 
<a name="l00064"></a>00064   <span class="keyword">virtual</span> <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* <a class="code" href="structiCelInventorySpaceSlot.html#abb5e0c80e82dcb78254f4e8c331e62d6" title="Get an entity on this slot.">GetEntity</a> (<a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00065"></a>00065 
<a name="l00071"></a>00071   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelInventorySpaceSlot.html#a687c7435ae80e0020bf555d1776240ca" title="Add an entity in this slot.">AddEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity, <a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00072"></a>00072 
<a name="l00077"></a>00077   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelInventorySpaceSlot.html#ae9e3f15deb74e78e4df6aa8f5a8c354a" title="Remove this entity from the slot.">RemoveEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00078"></a>00078 
<a name="l00080"></a>00080   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiCelInventorySpaceSlot.html#aa8fac88c817bbaf341fa07c126ee7059" title="Return number of entities inside this slot.">GetCount</a> () = 0;
<a name="l00081"></a>00081 
<a name="l00083"></a>00083   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelInventorySpaceSlot.html#aab4fb6fe7ec8da9c38fda1504f93afb3" title="Remove all entities in this slot.">RemoveAll</a> () = 0;
<a name="l00084"></a>00084 
<a name="l00086"></a>00086   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelInventorySpaceSlot.html#a04d1097acf671eae58ad984ea893bb1a" title="Check if there are entities in this slot.">IsEmpty</a> () = 0;
<a name="l00087"></a>00087 };
<a name="l00088"></a>00088 
<a name="l00094"></a><a class="code" href="structiCelInventorySpace.html">00094</a> <span class="keyword">struct </span><a class="code" href="structiCelInventorySpace.html" title="This interface represents a space system for the inventory property class.">iCelInventorySpace</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00095"></a>00095 {
<a name="l00096"></a>00096   SCF_INTERFACE (<a class="code" href="structiCelInventorySpace.html" title="This interface represents a space system for the inventory property class.">iCelInventorySpace</a>, 0, 0, 1);
<a name="l00097"></a>00097   
<a name="l00099"></a>00099   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiCelInventorySpace.html#a22f9290ce338163bf522bb2b051c117e" title="Return how much space is available in total.">GetSpaceTotal</a> () <span class="keyword">const</span> = 0;
<a name="l00100"></a>00100   
<a name="l00102"></a>00102   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiCelInventorySpace.html#a86df7eeefd9660118d9fab556940146b" title="Return how much space is left.">GetSpaceLeft</a> () <span class="keyword">const</span> = 0;
<a name="l00103"></a>00103   
<a name="l00104"></a>00104   <span class="comment">// Return how much space is taken.</span>
<a name="l00105"></a>00105   <span class="keyword">virtual</span> <span class="keywordtype">int</span> GetSpaceTaken () <span class="keyword">const</span> = 0;
<a name="l00106"></a>00106   
<a name="l00113"></a>00113   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelInventorySpace.html#a41fdb513c13c386c5f3c892dffdb111c" title="When some code calls old-style AddEntity() (with no parameters) on the iPcInventory then this functio...">AddEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00118"></a>00118   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelInventorySpace.html#a29e480866d3de2ab4803ab4f3c4dcf61" title="Remove the entity from its slot.">RemoveEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00119"></a>00119   
<a name="l00126"></a>00126   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelInventorySpace.html#a41fdb513c13c386c5f3c892dffdb111c" title="When some code calls old-style AddEntity() (with no parameters) on the iPcInventory then this functio...">AddEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity, <a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00132"></a>00132   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelInventorySpace.html#a29e480866d3de2ab4803ab4f3c4dcf61" title="Remove the entity from its slot.">RemoveEntity</a> (<a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00133"></a>00133   
<a name="l00134"></a>00134   <span class="comment">//. Get rid of all entities inside space.</span>
<a name="l00135"></a>00135   <span class="keyword">virtual</span> <span class="keywordtype">void</span> RemoveAll () = 0;
<a name="l00136"></a>00136   
<a name="l00141"></a>00141   <span class="keyword">virtual</span> <a class="code" href="structiCelInventorySpaceSlot.html" title="A slot in the inventory system.">iCelInventorySpaceSlot</a>* <a class="code" href="structiCelInventorySpace.html#ad365958e0f3a8574dc0e1137ee906660" title="Try to get a certain slot.">GetSlot</a> (<a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00142"></a>00142   
<a name="l00147"></a>00147   <span class="keyword">virtual</span> <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* <a class="code" href="structiCelInventorySpace.html#ac5c6065d5b4f91cedc9fcbb459712e17" title="Try to get a certain entity from a slot.">GetEntity</a> (<a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00148"></a>00148 };
<a name="l00149"></a>00149 
<a name="l00150"></a>00150 
<a name="l00161"></a><a class="code" href="structiPcInventory.html">00161</a> <span class="keyword">struct </span><a class="code" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00162"></a>00162 {
<a name="l00163"></a>00163   SCF_INTERFACE (<a class="code" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a>, 1, 0, 0);
<a name="l00164"></a>00164 
<a name="l00169"></a>00169   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventory.html#a38e202d14c73293263a79746f5dcbf82" title="Add an inventory listener.">AddInventoryListener</a> (<a class="code" href="structiPcInventoryListener.html" title="Listen to inventory changes.">iPcInventoryListener</a>* listener) = 0;
<a name="l00173"></a>00173   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventory.html#ac7cb9b83546fdb3114da3abf85ed11b4" title="Remove an inventory listener.">RemoveInventoryListener</a> (<a class="code" href="structiPcInventoryListener.html" title="Listen to inventory changes.">iPcInventoryListener</a>* listener) = 0;
<a name="l00174"></a>00174 
<a name="l00181"></a>00181   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#a47f2ad2707e4070e2d51950201ebc1cc" title="Add an entity.">AddEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00182"></a>00182 
<a name="l00190"></a>00190   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#a47f2ad2707e4070e2d51950201ebc1cc" title="Add an entity.">AddEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity, <a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00191"></a>00191 
<a name="l00196"></a>00196   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#afda56d9d67a36c0404a60b11a2d0635b" title="Remove an entity.">RemoveEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00204"></a>00204   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#afda56d9d67a36c0404a60b11a2d0635b" title="Remove an entity.">RemoveEntity</a> (<a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00205"></a>00205 
<a name="l00213"></a>00213   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#a61935394ff6fdcf3318563085d470a44" title="Remove all entities.">RemoveAll</a> () = 0;
<a name="l00214"></a>00214 
<a name="l00218"></a>00218   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcInventory.html#a24c35023211ea9a8836a9dfaa0b34cd7" title="Get the number of entities in this inventory.">GetEntityCount</a> () <span class="keyword">const</span> = 0;
<a name="l00219"></a>00219 
<a name="l00223"></a>00223   <span class="keyword">virtual</span> <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* <a class="code" href="structiPcInventory.html#a51d9e5bd68dfd0a7ce138e85f7b7323d" title="Get some entity.">GetEntity</a> (<span class="keywordtype">size_t</span> idx) <span class="keyword">const</span> = 0;
<a name="l00224"></a>00224 
<a name="l00228"></a>00228   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#a19952f942aa82542a386c445011a078b" title="Test if some entity is in the inventory.">In</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) <span class="keyword">const</span> = 0;
<a name="l00229"></a>00229 
<a name="l00233"></a>00233   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#a19952f942aa82542a386c445011a078b" title="Test if some entity is in the inventory.">In</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00234"></a>00234 
<a name="l00239"></a>00239   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcInventory.html#a9176010d01eccebfff136a34f504bcb2" title="Find the index of some entity in the inventory.">FindEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) <span class="keyword">const</span> = 0;
<a name="l00240"></a>00240 
<a name="l00245"></a>00245   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcInventory.html#a9176010d01eccebfff136a34f504bcb2" title="Find the index of some entity in the inventory.">FindEntity</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00246"></a>00246 
<a name="l00252"></a>00252   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcInventory.html#a9176010d01eccebfff136a34f504bcb2" title="Find the index of some entity in the inventory.">FindEntity</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structCS_1_1StringID.html">csStringID</a> classid) <span class="keyword">const</span> = 0;
<a name="l00253"></a>00253 
<a name="l00257"></a>00257   <span class="keyword">virtual</span> <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* <a class="code" href="structiPcInventory.html#a7b90a84b0b511a6f4438711dca0e69db" title="Get an entity from a generic slot (space system).">GetEntitySlot</a> (<a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) <span class="keyword">const</span> = 0;
<a name="l00258"></a>00258 
<a name="l00269"></a>00269   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#a7de24939946dc84e64aef80144e953ba" title="If true reject any entities that don&#39;t have this characteristic.">SetStrictCharacteristics</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName, <span class="keywordtype">bool</span> strict) = 0;
<a name="l00270"></a>00270 
<a name="l00274"></a>00274   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#afe2db71149a9a75ba1449b2143e943a6" title="Return the value of &#39;strict characteristics&#39;.">HasStrictCharacteristics</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName) <span class="keyword">const</span> = 0;
<a name="l00275"></a>00275 
<a name="l00284"></a>00284   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#ac4961aad36682ab5600cb8ab8f9e4fba" title="Set the constraints for some characteristic.">SetConstraints</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName,
<a name="l00285"></a>00285         <span class="keywordtype">float</span> minValue, <span class="keywordtype">float</span> maxValue, <span class="keywordtype">float</span> totalMaxValue) = 0;
<a name="l00286"></a>00286 
<a name="l00291"></a>00291   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#ac2a1b904eb4fd1b3db554dd0f93188f5" title="Get the constraints for some characteristic.">GetConstraints</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName,
<a name="l00292"></a>00292         <span class="keywordtype">float</span>&amp; minValue, <span class="keywordtype">float</span>&amp; maxValue, <span class="keywordtype">float</span>&amp; totalMaxValue) <span class="keyword">const</span> = 0;
<a name="l00293"></a>00293 
<a name="l00297"></a>00297   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventory.html#a0bd4364372136439a6948047ae3783fa" title="Remove constraints for a characteristic.">RemoveConstraints</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName) = 0;
<a name="l00298"></a>00298 
<a name="l00302"></a>00302   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventory.html#a6a672a6f3e9e54fccbff4cc9ccbb483b" title="Remove all constraints.">RemoveAllConstraints</a> () = 0;
<a name="l00303"></a>00303 
<a name="l00307"></a>00307   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcInventory.html#adc73f72657311cdbabe2001d24379671" title="Get the current value for some characteristic.">GetCurrentCharacteristic</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName) <span class="keyword">const</span> = 0;
<a name="l00308"></a>00308   
<a name="l00315"></a>00315   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventory.html#a610fbc3e67be3080b20d4c0ed557fecb" title="Mark this characteristic as dirty for this inventory and all inventories this entity is in...">MarkDirty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName) = 0;
<a name="l00316"></a>00316 
<a name="l00322"></a>00322   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcInventory.html#ae5101f45cf2cd0e2947baf020e89b0c3" title="Test constraints for this characteristic for this inventory and all inventories * this entity is in...">TestConstraints</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName) = 0;
<a name="l00323"></a>00323 
<a name="l00328"></a>00328   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventory.html#a565438b4a7bfa37ab9ded7043c539c1c" title="This is a debugging function to dump the contents of the inventory and all constraints.">Dump</a> () = 0;
<a name="l00329"></a>00329   
<a name="l00334"></a>00334   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcInventory.html#ac01ae1173b42cd9eb15ae265d390c579" title="Set an optional space manager for this inventory.">SetSpace</a> (<a class="code" href="structiCelInventorySpace.html" title="This interface represents a space system for the inventory property class.">iCelInventorySpace</a>* space) = 0;
<a name="l00335"></a>00335 
<a name="l00342"></a>00342   <span class="keyword">virtual</span> <a class="code" href="structiCelInventorySpace.html" title="This interface represents a space system for the inventory property class.">iCelInventorySpace</a>* <a class="code" href="structiPcInventory.html#a187de0b1cfda0eb99faf3a617dff2067" title="Get the used space manager.">GetSpace</a> () = 0;
<a name="l00343"></a>00343 };
<a name="l00344"></a>00344 
<a name="l00345"></a>00345 <span class="preprocessor">#endif // __CEL_PF_INV__</span>
<a name="l00346"></a>00346 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
